View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.Important: This method is for sandbox use only.Updates the status of a dispute, by ID, from
UNDER_REVIEW to either:WAITING_FOR_BUYER_RESPONSEWAITING_FOR_SELLER_RESPONSEstatus must be UNDER_REVIEW and require-evidence link should be available in the HATEOAS links of the show dispute details response. Specify an action value in the JSON request body to indicate whether the status change enables the customer or merchant to submit evidence:If action is | The status updates to |
|---|---|
BUYER_EVIDENCE | WAITING_FOR_BUYER_RESPONSE |
SELLER_EVIDENCE | WAITING_FOR_SELLER_RESPONSE |
Oauth 2.0 authentication
In: header
Scope: https://uri.paypal.com/services/disputes/update-seller
TypeScript Definitions
Use the request body type in TypeScript.
actionenumRequiredWAITING_FOR_BUYER_RESPONSE.WAITING_FOR_SELLER_RESPONSE.application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/customer/disputes/string/require-evidence" \ -H "Content-Type: string" \ -H "Content-Type: application/json" \ -d '{ "action": "BUYER_EVIDENCE" }'{ "links": [ { "href": "string", "rel": "string", "method": "GET", "title": "string", "mediaType": "string", "encType": "application/json", "schema": { "additionalItems": {}, "dependencies": {}, "items": {}, "patternProperties": {}, "properties": {}, "allOf": [ {} ], "anyOf": [ {} ], "oneOf": [ {} ], "not": {}, "links": [ {} ], "fragmentResolution": "string", "media": { "type": "string", "binaryEncoding": "string" }, "pathStart": "http://example.com" }, "targetSchema": { "additionalItems": {}, "dependencies": {}, "items": {}, "patternProperties": {}, "properties": {}, "allOf": [ {} ], "anyOf": [ {} ], "oneOf": [ {} ], "not": {}, "links": [ {} ], "fragmentResolution": "string", "media": { "type": "string", "binaryEncoding": "string" }, "pathStart": "http://example.com" } } ]}